## netbeans 8.1+dfsg3

=== dlight.nativeexecution/tools/Makefile ===
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
#
# Copyright 1997-2010 Oracle and/or its affiliates. All rights reserved.
#
# Oracle and Java are registered trademarks of Oracle and/or its affiliates.
# Other names may be trademarks of their respective owners.
#
# The contents of this file are subject to the terms of either the GNU
# General Public License Version 2 only ("GPL") or the Common
# Development and Distribution License("CDDL") (collectively, the
# "License"). You may not use this file except in compliance with the
# License. You can obtain a copy of the License at
# http://www.netbeans.org/cddl-gplv2.html
# or nbbuild/licenses/CDDL-GPL-2-CP. See the License for the
# specific language governing permissions and limitations under the
# License.  When distributing the software, include this License Header
# Notice in each file and include the License file at
# nbbuild/licenses/CDDL-GPL-2-CP.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the GPL Version 2 section of the License file that
# accompanied this code. If applicable, add the following below the
# License Header, with the fields enclosed by brackets [] replaced by
# your own identifying information:
# "Portions Copyrighted [year] [name of copyright owner]"
#
# Contributor(s):
#
# The Original Software is NetBeans. The Initial Developer of the Original
# Software is Sun Microsystems, Inc. Portions Copyright 1997-2007 Sun
# Microsystems, Inc. All Rights Reserved.
#
# If you wish your version of this file to be governed by only the CDDL
# or only the GPL Version 2, indicate your decision by adding
# "[Contributor] elects to include this software in this distribution
# under the [CDDL or GPL Version 2] license." If you do not indicate a
# single choice of license, a recipient has the option to distribute
# your version of this file under either the CDDL, the GPL Version 2 or
# to extend the choice of license to its licensees as provided above.
# However, if you add GPL Version 2 code and therefore, elected the GPL
# Version 2 license, then the option applies only if the new code is
# made subject to such option by the copyright holder.

INSTALLDIR = /dev/null

testit :sh= uname -s

#CFLAGS-Windows_XP := -mno-cygwin
CFLAGS-Linux := -fPIC -Wl,--hash-style=sysv
CFLAGS-SunOS := -fPIC
CFLAGS-Mac_OS_X := -fPIC
LDFLAGS-SunOS := -lposix4
ifeq (armv, $(shell expr substr `arch` 1 4))
    FLAG64:=
else	
    FLAG64:=$(shell (echo ${PLATFORM_DIR} | grep 64 >/dev/null && echo -m64) || echo -m32)
endif	

CFLAGS := $(CFLAGS-$(OSFAMILY))
LDFLAGS := $(LDFLAGS-$(OSFAMILY))

DIST=../release/bin/nativeexecution
BUILD=./build

APP_PATH=${DIST}/${PLATFORM_DIR}

all: init privp process_start pty_open sigqueue stat

privp: init
	gcc ${CFLAGS} ${FLAG64} -o ${APP_PATH}/$@ $@.c
	strip ${APP_PATH}/$@

process_start: init
	gcc ${CFLAGS} ${FLAG64} -o ${APP_PATH}/$@ $@.c
	strip ${APP_PATH}/$@

pty_open: init
	gcc ${CFLAGS} ${FLAG64} -o ${APP_PATH}/$@ $@.c
	strip ${APP_PATH}/$@

sigqueue: init
	gcc ${CFLAGS} ${FLAG64} ${LDFLAGS} -o ${APP_PATH}/$@ $@.c
	strip ${APP_PATH}/$@

stat: init
	gcc ${CFLAGS} ${FLAG64} -o ${APP_PATH}/$@ $@.c
	strip ${APP_PATH}/$@

clean:
	rm -rf ${APP_PATH} ${DIST}/${PLATFORM_DIR}

cleanall:
	rm -rf ${BUILD} ${DIST}

init: check
	@mkdir -p ${APP_PATH} ${DIST}/${PLATFORM_DIR}

check:
	@if [ -n "$(testit)" ]; \
	then \
		echo "Error: You must use GNU make"; \
		exit 1; \
	fi
	
	@if [ "${PLATFORM_DIR}" = "" ]; \
	then \
		echo "PLATFORM_DIR undefined"; \
		exit 1; \
	fi

=== cnd.makeproject/samples_src/freeway/Makefile ===
#
# Copyright (c) 2009-2010, Oracle and/or its affiliates. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# * Redistributions of source code must retain the above copyright notice,
#   this list of conditions and the following disclaimer.
#
# * Redistributions in binary form must reproduce the above copyright notice,
#   this list of conditions and the following disclaimer in the documentation
#   and/or other materials provided with the distribution.
#
# * Neither the name of Oracle nor the names of its contributors
#   may be used to endorse or promote products derived from this software without
#   specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGE.
#
#  There exist several targets which are by default empty and which can be 
#  used for execution of your targets. These targets are usually executed 
#  before and after some main targets. They are: 
#
#     .build-pre:              called before 'build' target
#     .build-post:             called after 'build' target
#     .clean-pre:              called before 'clean' target
#     .clean-post:             called after 'clean' target
#     .clobber-pre:            called before 'clobber' target
#     .clobber-post:           called after 'clobber' target
#     .all-pre:                called before 'all' target
#     .all-post:               called after 'all' target
#     .help-pre:               called before 'help' target
#     .help-post:              called after 'help' target
#
#  Targets beginning with '.' are not intended to be called on their own.
#
#  Main targets can be executed directly, and they are:
#  
#     build                    build a specific configuration
#     clean                    remove built files from a configuration
#     clobber                  remove all built files
#     all                      build all configurations
#     help                     print help mesage
#  
#  Targets .build-impl, .clean-impl, .clobber-impl, .all-impl, and
#  .help-impl are implemented in nbproject/makefile-impl.mk.
#
#  Available make variables:
#
#     CND_BASEDIR                base directory for relative paths
#     CND_DISTDIR                default top distribution directory (build artifacts)
#     CND_BUILDDIR               default top build directory (object files, ...)
#     CONF                       name of current configuration
#     CND_PLATFORM_${CONF}       platform name (current configuration)
#     CND_ARTIFACT_DIR_${CONF}   directory of build artifact (current configuration)
#     CND_ARTIFACT_NAME_${CONF}  name of build artifact (current configuration)
#     CND_ARTIFACT_PATH_${CONF}  path to build artifact (current configuration)
#     CND_PACKAGE_DIR_${CONF}    directory of package (current configuration)
#     CND_PACKAGE_NAME_${CONF}   name of package (current configuration)
#     CND_PACKAGE_PATH_${CONF}   path to package (current configuration)
#
# NOCDDL


# Environment 
MKDIR=mkdir
CP=cp
CCADMIN=CCadmin
RANLIB=ranlib


# build
build: .build-post

.build-pre:
	@test -f `which pkg-config` || (echo "ERROR: no pkg-config found.\n\tInstall pkg-config package or add it to PATH.\n\tFor more information visit http://pkg-config.freedesktop.org" && false)
	@pkg-config --libs gtk+-2.0
# Add your pre 'build' code here...

.build-post: .build-impl
# Add your post 'build' code here...


# clean
clean: .clean-post

.clean-pre:
# Add your pre 'clean' code here...

.clean-post: .clean-impl
# Add your post 'clean' code here...


# clobber
clobber: .clobber-post

.clobber-pre:
# Add your pre 'clobber' code here...

.clobber-post: .clobber-impl
# Add your post 'clobber' code here...


# all
all: .all-post

.all-pre:
# Add your pre 'all' code here...

.all-post: .all-impl
# Add your post 'all' code here...


# help
help: .help-post

.help-pre:
# Add your pre 'help' code here...

.help-post: .help-impl
# Add your post 'help' code here...



# include project implementation makefile
include nbproject/Makefile-impl.mk

# include project make variables
include nbproject/Makefile-variables.mk

=== cnd.makeproject/samples_src/lexyacc/Makefile ===
#
# Copyright (c) 2009-2010, Oracle and/or its affiliates. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# * Redistributions of source code must retain the above copyright notice,
#   this list of conditions and the following disclaimer.
#
# * Redistributions in binary form must reproduce the above copyright notice,
#   this list of conditions and the following disclaimer in the documentation
#   and/or other materials provided with the distribution.
#
# * Neither the name of Oracle nor the names of its contributors
#   may be used to endorse or promote products derived from this software without
#   specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGE.
#
#  There exist several targets which are by default empty and which can be 
#  used for execution of your targets. These targets are usually executed 
#  before and after some main targets. They are: 
#
#     .build-pre:              called before 'build' target
#     .build-post:             called after 'build' target
#     .clean-pre:              called before 'clean' target
#     .clean-post:             called after 'clean' target
#     .clobber-pre:            called before 'clobber' target
#     .clobber-post:           called after 'clobber' target
#     .all-pre:                called before 'all' target
#     .all-post:               called after 'all' target
#     .help-pre:               called before 'help' target
#     .help-post:              called after 'help' target
#
#  Targets beginning with '.' are not intended to be called on their own.
#
#  Main targets can be executed directly, and they are:
#  
#     build                    build a specific configuration
#     clean                    remove built files from a configuration
#     clobber                  remove all built files
#     all                      build all configurations
#     help                     print help mesage
#  
#  Targets .build-impl, .clean-impl, .clobber-impl, .all-impl, and
#  .help-impl are implemented in nbproject/makefile-impl.mk.
#
#  Available make variables:
#
#     CND_BASEDIR                base directory for relative paths
#     CND_DISTDIR                default top distribution directory (build artifacts)
#     CND_BUILDDIR               default top build directory (object files, ...)
#     CONF                       name of current configuration
#     CND_PLATFORM_${CONF}       platform name (current configuration)
#     CND_ARTIFACT_DIR_${CONF}   directory of build artifact (current configuration)
#     CND_ARTIFACT_NAME_${CONF}  name of build artifact (current configuration)
#     CND_ARTIFACT_PATH_${CONF}  path to build artifact (current configuration)
#     CND_PACKAGE_DIR_${CONF}    directory of package (current configuration)
#     CND_PACKAGE_NAME_${CONF}   name of package (current configuration)
#     CND_PACKAGE_PATH_${CONF}   path to package (current configuration)
#
# NOCDDL


# Environment 
MKDIR=mkdir
CP=cp
CCADMIN=CCadmin
RANLIB=ranlib


# build
build: .build-post

.build-pre:
	if [ `uname` = SunOS ]; then T=`mktemp`; dos2unix token.l $$T; mv $$T token.l; dos2unix token.y $$T; mv $$T token.y; fi
        # Add your pre 'build' code here...

.build-post: .build-impl
# Add your post 'build' code here...


# clean
clean: .clean-post

.clean-pre:
# Add your pre 'clean' code here...

.clean-post: .clean-impl
# Add your post 'clean' code here...


# clobber
clobber: .clobber-post

.clobber-pre:
# Add your pre 'clobber' code here...

.clobber-post: .clobber-impl
# Add your post 'clobber' code here...


# all
all: .all-post

.all-pre:
# Add your pre 'all' code here...

.all-post: .all-impl
# Add your post 'all' code here...


# help
help: .help-post

.help-pre:
# Add your pre 'help' code here...

.help-post: .help-impl
# Add your post 'help' code here...



# include project implementation makefile
include nbproject/Makefile-impl.mk

# include project make variables
include nbproject/Makefile-variables.mk

=== dlight.nativeexecution/tools/pty/Makefile ===
MAKEFILE = $(shell echo gmake)
MAKEFILE:sh = echo make
ROOT_DIR = $(shell pwd)
ROOT_DIR:sh = pwd
_OS = $(shell uname -s)
_OS:sh = uname -s
ifeq (CYGWIN, $(shell expr substr `uname -s` 1 6))
    OS=Windows
else
    OS=$(_OS)
endif
ARCH = $(shell arch)
ARCH:sh = arch

ifeq (armv, $(shell expr substr `arch` 1 4))
    OS_ARCH = $(OS)-arm
else 
  ifeq (sun4, $(ARCH))
    OS_ARCH = $(OS)-sparc
  else 
    ifeq (sparc64, $(ARCH))
      OS_ARCH = $(OS)-sparc
    else
      OS_ARCH = $(OS)-x86
    endif
  endif
endif

ifdef 64BITS
    CONF=$(OS_ARCH)_64
else
    CONF=$(OS_ARCH)
endif

PNAME=pty
CC=gcc

SOURCES=\
	$(ROOT_DIR)/src/env.c \
	$(ROOT_DIR)/src/error.c \
	$(ROOT_DIR)/src/loop.c \
	$(ROOT_DIR)/src/options.c \
	$(ROOT_DIR)/src/pty_fork.c \
	$(ROOT_DIR)/src/pty.c \
	$(ROOT_DIR)/src/util.c

SRC_DIRS=\
	$(ROOT_DIR)/src

MKDIR=mkdir -p
OBJ_DIR=$(ROOT_DIR)/build/$(CONF)
DIST_DIR=$(ROOT_DIR)/dist/$(CONF)
INSTALL_DIR=../../release/bin/nativeexecution/$(CONF)
LINE=sh $(ROOT_DIR)/make/line

EXEC=$(DIST_DIR)/$(PNAME)


CF_COMMON         = --std=c99 -s -O2
CF_Linux-x86      = $(CF_COMMON) -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -m32 
CF_Linux-x86_64   = $(CF_COMMON) -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -m64
CF_Linux-sparc_64 = $(CF_COMMON) -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -m64
CF_Linux-arm      = $(CF_COMMON) -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -std=c99
CF_MacOSX-x86     = $(CF_COMMON) -DMAXOSX  -D_DARWIN_C_SOURCE -m32
CF_MacOSX-x86_64  = $(CF_COMMON) -DMAXOSX  -D_DARWIN_C_SOURCE -m64
CF_SunOS-sparc    = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -m32
CF_SunOS-sparc_64 = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -m64
CF_SunOS-x86      = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -m32
CF_SunOS-x86_64   = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -m64
CF_Windows-x86    = $(CF_COMMON) -DWINDOWS -m32
CF_Windows-x86_64 = $(CF_COMMON) -DWINDOWS -m32

LF_Windows-x86    = --static-libgcc
LF_Windows-x86_64 = --static-libgcc

CFLAGS=$(CF_$(CONF))
LDFLAGS=$(LF_$(CONF))

all: $(EXEC)
	@$(LINE) =
	@echo $(EXEC); echo
	@ls -la $(EXEC) | sed "s#$(EXEC)##"
	@FILE=`(ls /bin/file || ls /usr/bin/file) 2>/dev/null`; \
	   if [ -n "$${FILE}" ]; then $${FILE} ${EXEC} | sed "s#$(EXEC):.##"; fi
	@$(LINE) =

include $(ROOT_DIR)/make/Makefile.$(MAKEFILE)

$(EXEC): $(DIST_DIR) $(OBJS)
	@$(LINE) -
	$(LINK.c) -o $@ $(OBJS)

$(OBJ_DIRS) $(DIST_DIR):
	$(MKDIR) $@

clean: clean_deps
	$(RM) -r $(OBJ_DIR) $(DIST_DIR)

clean-all:
	$(RM) -r $(ROOT_DIR)/build
	$(RM) -r $(ROOT_DIR)/dist
	$(RM) .make.state*

install:
	cp $(EXEC) $(INSTALL_DIR)

=== dlight.remote.impl/tools/fs_server/test/Makefile ===
MAKEFILE = $(shell echo gmake)
MAKEFILE:sh = echo make
ROOT_DIR = $(shell cd ..; pwd)
ROOT_DIR:sh = pwd
OS = $(shell uname -s)
OS:sh = uname -s

CONF=$(OS)-x86

PNAME=fs_server_test
CC=gcc

SOURCES=\
	$(ROOT_DIR)/src/queue.c \
	$(ROOT_DIR)/src/blocking_queue.c \
	$(ROOT_DIR)/src/util.c \
	$(ROOT_DIR)/src/array.c \
	$(ROOT_DIR)/src/dirtab.c \
	$(ROOT_DIR)/test/test_main.c

SRC_DIRS=\
	$(ROOT_DIR)/src $(ROOT_DIR)/test

MKDIR=mkdir -p
OBJ_DIR=$(ROOT_DIR)/build/$(CONF)
DIST_DIR=$(ROOT_DIR)/dist/$(CONF)
INSTALL_DIR=../../release/bin/nativeexecution/$(CONF)
LINE=sh $(ROOT_DIR)/make/line

EXEC=$(DIST_DIR)/$(PNAME)


#CF_COMMON         = --std=c99 -s -O2
CF_COMMON         = --std=c99 -g -Wall -DTEST
CF_Linux-x86      = $(CF_COMMON) -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -m32
CF_Linux-x86_64   = $(CF_COMMON) -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -m64
CF_MacOSX-x86     = $(CF_COMMON) -DMAXOSX  -D_DARWIN_C_SOURCE -m32
CF_MacOSX-x86_64  = $(CF_COMMON) -DMAXOSX  -D_DARWIN_C_SOURCE -m64
CF_SunOS-sparc    = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -m32
CF_SunOS-sparc_64 = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -m64
CF_SunOS-x86      = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -m32
CF_SunOS-x86_64   = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -m64
CF_Windows-x86    = $(CF_COMMON) -DWINDOWS -m32
CF_Windows-x86_64 = $(CF_COMMON) -DWINDOWS -m32

LF_Windows-x86    = --static-libgcc
LF_Windows-x86_64 = --static-libgcc
LF_Linux-x86      = $(LF_COMMON) -lpthread
LF_Linux-x86_64   = $(LF_COMMON) -lpthread

CFLAGS=$(CF_$(CONF))
LDFLAGS=$(LF_$(CONF))

all: $(EXEC)
	@$(LINE) =
	@echo $(EXEC); echo
	@ls -la $(EXEC) | sed "s#$(EXEC)##"
	@FILE=`(ls /bin/file || ls /usr/bin/file) 2>/dev/null`; \
	   if [ -n "$${FILE}" ]; then $${FILE} ${EXEC} | sed "s#$(EXEC):.##"; fi
	@$(LINE) =

include $(ROOT_DIR)/make/Makefile.$(MAKEFILE)

$(EXEC): $(DIST_DIR) $(OBJS)
	@$(LINE) -
	$(LINK.c) -o $@ $(OBJS)

$(OBJ_DIRS) $(DIST_DIR):
	$(MKDIR) $@

clean: clean_deps
	$(RM) -r $(OBJ_DIR) $(DIST_DIR)

clean-all:
	$(RM) -r $(ROOT_DIR)/build
	$(RM) -r $(ROOT_DIR)/dist
	$(RM) .make.state*

install:
	cp $(EXEC) $(INSTALL_DIR)

=== nbi/engine/native/launcher/windows/Makefile ===
#
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
#
# Copyright 1997-2010 Oracle and/or its affiliates. All rights reserved.
#
# Oracle and Java are registered trademarks of Oracle and/or its affiliates.
# Other names may be trademarks of their respective owners.
#
# The contents of this file are subject to the terms of either the GNU General Public
# License Version 2 only ("GPL") or the Common Development and Distribution
# License("CDDL") (collectively, the "License"). You may not use this file except in
# compliance with the License. You can obtain a copy of the License at
# http://www.netbeans.org/cddl-gplv2.html or nbbuild/licenses/CDDL-GPL-2-CP. See the
# License for the specific language governing permissions and limitations under the
# License.  When distributing the software, include this License Header Notice in
# each file and include the License file at nbbuild/licenses/CDDL-GPL-2-CP.  Oracle
# designates this particular file as subject to the "Classpath" exception as provided
# by Oracle in the GPL Version 2 section of the License file that accompanied this code.
# If applicable, add the following below the License Header, with the fields enclosed
# by brackets [] replaced by your own identifying information:
# "Portions Copyrighted [year] [name of copyright owner]"
# 
# Contributor(s):
# 
# The Original Software is NetBeans. The Initial Developer of the Original Software
# is Sun Microsystems, Inc. Portions Copyright 1997-2007 Sun Microsystems, Inc. All
# Rights Reserved.
# 
# If you wish your version of this file to be governed by only the CDDL or only the
# GPL Version 2, indicate your decision by adding "[Contributor] elects to include
# this software in this distribution under the [CDDL or GPL Version 2] license." If
# you do not indicate a single choice of license, a recipient has the option to
# distribute your version of this file under either the CDDL, the GPL Version 2 or
# to extend the choice of license to its licensees as provided above. However, if you
# add GPL Version 2 code and therefore, elected the GPL Version 2 license, then the
# option applies only if the new code is made subject to such option by the copyright
# holder.
# 

#
#  There exist several targets which are by default empty and which can be 
#  used for execution of your targets. These targets are usually executed 
#  before and after some main targets. They are: 
#
#     .build-pre:              called before 'build' target
#     .build-post:             called after 'build' target
#     .clean-pre:              called before 'clean' target
#     .clean-post:             called after 'clean' target
#     .clobber-pre:            called before 'clobber' target
#     .clobber-post:           called after 'clobber' target
#     .all-pre:                called before 'all' target
#     .all-post:               called after 'all' target
#     .help-pre:                called before 'help' target
#     .help-post:               called after 'help' target
#
#  Targets beginning with '.' are not intended to be called on their own.
#
#  Main targets can be executed directly, and they are:
#  
#     build                    build a specific configuration
#     clean                    remove built files from a configuration
#     clobber                  remove all built files
#     all                      build all configurations
#     help                     print help mesage
#  
#  Targets .build-impl, .clean-impl, .clobber-impl, .all-impl, and
#  .help-impl are implemented in nbproject/makefile-impl.mk.
#

# Environment 
MKDIR=mkdir
CP=cp
CCADMIN=CCadmin
RANLIB=ranlib
RESCOMP=windres


# build
build: .build-pre .build-impl .build-post

.build-pre:
	mkdir -p build
	windres -I resources -o  build/icon.o -i resources/res.rc

.build-post:
# Add your post 'build' code here...


# clean
clean: .clean-pre .clean-impl .clean-post

.clean-pre:
	rm -rf build/icon.o

.clean-post:
# Add your post 'clean' code here...


# clobber
clobber: .clobber-pre .clobber-impl .clobber-post

.clobber-pre:
# Add your pre 'clobber' code here...

.clobber-post:
# Add your post 'clobber' code here...


# all
all: .all-pre .all-impl .all-post

.all-pre:
# Add your pre 'all' code here...

.all-post:
# Add your post 'all' code here...


# help
help: .help-pre .help-impl .help-post

.help-pre:
# Add your pre 'help' code here...

.help-post:
# Add your post 'help' code here...

# include project implementation makefile
include nbproject/Makefile-impl.mk

=== cnd.makeproject/test/unit/data/org/netbeans/modules/cnd/makeproject/Project_65_Test/makeproj-with-links/Makefile ===
bin_file=makeproj-with-links-bin

all:
	cc -g -c makeproj-with-links-main.c
	cc -g -c real_dir1/file2.c
	cc -o ${bin_file} makeproj-with-links-main.o file2.o
clean:
	rm -rf *.obj ${bin_file}

=== debian/changelog ===
netbeans (8.1+dfsg3-4) unstable; urgency=medium

  * Really update jna-4.4.0-compatibility.patch and fix FTBFS with JNA 4.4.0.

 -- Markus Koschany <apo@debian.org>  Mon, 24 Jul 2017 02:19:05 +0200

netbeans (8.1+dfsg3-3) unstable; urgency=medium

  * Switch to compat level 10.
  * Use https for Format field.
  * Add jna-4.4.0-compatibility.patch and fix FTBFS with JNA 4.4.0.
    Thanks to Lucas Nussbaum for the report. (Closes: #868931)
  * Add StartupWMClass=NetBeans IDE 8.1 to netbeans.desktop.
    This will prevent that a second Netbeans icon will show up in favorite bars.
    Thanks to Phil Wyett for the report. (Closes: #865715) (LP: #1550276)
  * Declare compliance with Debian Policy 4.0.0.
  * Drop deprecated menu file and xpm icon.

 -- Markus Koschany <apo@debian.org>  Sun, 23 Jul 2017 17:54:38 +0200

netbeans (8.1+dfsg3-2) unstable; urgency=medium

  [ Markus Koschany ]
  * Add missing dependencies to libnb-ide14-java.
    Thanks to Andreas Beckmann for the report. (Closes: #857955)
  * Fix ClassNotFoundException: org.jcodings.Encoding.
    See https://netbeans.org/bugzilla/show_bug.cgi?id=256166
  * Update orig-tar script and use $BASE variable.
  * Use jdk8.builds option consistently.
  * Add README.Debian file.

  [ Emmanuel Bourg ]
  * Switch back to libcglib-java.

 -- Markus Koschany <apo@debian.org>  Thu, 20 Apr 2017 12:35:05 +0200

netbeans (8.1+dfsg3-1) unstable; urgency=medium

  * Symlink asm-all.jar to libs.nashorn module.
  * Switch from libasm4-java to libasm-java.
  * orig-tar.sh: Remove W3C spec files from tarball. (Closes: #823813)
  * Clarify license of ClassManager.js and remove PHP testfiles.
    (Closes: #823812)
  * Declare compliance with Debian Policy 3.9.8.

 -- Markus Koschany <apo@debian.org>  Thu, 26 May 2016 08:04:23 +0200

=== debian/control ===
Source: netbeans
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrew Ross <ubuntu@rossfamily.co.uk>,
 Markus Koschany <apo@debian.org>
Build-Depends:
 ant,
 ant-optional,
 antlr3 (>= 3.5.2),
 debhelper (>= 10),
 default-jdk,
 icnsutils,
 javacc,
 javahelp2,
 javahelper,
 junit,
 junit4,
 libbeansbinding-java,
 libbindex-java,
 libbytelist-java,
 libcglib-java (>= 3.0),
 libcommons-codec-java,
 libcommons-io-java,
 libcommons-lang-java,
 libcommons-logging-java,
 libcommons-net-java,
 libeclipselink-java,
 libequinox-osgi-java,
 libfelix-framework-java,
 libfelix-main-java,
 libfreemarker-java,
 libhamcrest-java,
 libhtml5parser-java,
 libhttpclient-java,
 libicu4j-4.4-java,
 libini4j-java,
 libjavaewah-java,
 libjaxb-api-java,
 libjaxb-java,
 libjemmy2-java,
 libjgit-java,
 libjna-java,
 libjna-platform-java,
 libjnlp-servlet-java,
 libjpa-2.1-spec-java,
 libjsch-agent-proxy-java (>= 0.0.8),
 libjsch-java,
 libjson-simple-java,
 libjvyamlb-java,
 libjzlib-java,
 liblucene3-java,
 libmysql-java,
 libnb-javaparser-java,
 libopenjfx-java,
 libosgi-compendium-java (>= 5.0.0),
 libosgi-core-java (>= 6.0.0),
 libpostgresql-jdbc-java,
 libservlet3.1-java,
 libsimple-validation-java,
 libsqljet-java,
 libstringtemplate-java,
 libsvn-java,
 libsvnclientadapter-java,
 libsvnkit-java,
 libswing-layout-java,
 libswingx-java,
 libtrilead-ssh2-java,
 libws-commons-util-java,
 libxerces2-java,
 libxml-commons-resolver1.1-java,
 maven-repo-helper,
 testng,
 w3c-sgml-lib
Standards-Version: 4.0.0
Homepage: http://netbeans.org/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/netbeans.git
Vcs-Git: https://anonscm.debian.org/git/pkg-java/netbeans.git

Package: libnb-absolutelayout-java
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends}
Description: Java LayoutManager to allow placement in absolute positions
 This library is part of the Netbeans platform and provides an
 implementation of the java.awt.LayoutManager interface. This
 implementation allows you to position components by their
 absolute position.

Package: libnb-apisupport3-java
Architecture: all
Depends:
 libnb-ide14-java (= ${binary:Version}),
 libnb-java5-java (= ${binary:Version}),
 libnb-platform-devel-java (>= 8.1),
 libnb-platform18-java (>= 8.1),
 ${java:Depends},
 ${misc:Depends}
Description: Common NetBeans Platform Development Related Libraries for NetBeans
 The NetBeans Platform is a set of modules, each providing their own
 APIs and working together or in a standalone mode. This package contains
 common libraries for development of NetBeans Platform modular extensions.

Package: libnb-ide14-java
Architecture: all
Depends:
 antlr3 (>= 3.5.2),
 libasm-java (>= 5),
 libbytelist-java,
 libcommons-codec-java,
 libcommons-io-java,
 libcommons-lang-java,
 libcommons-logging-java,
 libcommons-net-java,
 libfreemarker-java,
 libhtml5parser-java,
 libhttpclient-java,
 libicu4j-4.4-java,
 libini4j-java,
 libjaxb-java,
 libjgit-java,
 libjsch-agent-proxy-java (>= 0.0.8),
 libjsch-java,
 libjson-simple-java,
 libjvyamlb-java,
 libjzlib-java,
 liblucene3-java,
 libmysql-java,
 libnb-platform18-java (>= 8.1),
 libpostgresql-jdbc-java,
 libservlet3.1-java,
 libsimple-validation-java,
 libsqljet-java,
 libsvn-java,
 libsvnclientadapter-java,
 libsvnkit-java,
 libswingx-java,
 libtrilead-ssh2-java,
 libws-commons-util-java,
 libxerces2-java,
 libxml-commons-resolver1.1-java,
 ${java:Depends},
 ${misc:Depends}
Description: Common Integrated Development Environment Libraries for NetBeans
 The NetBeans Platform is a set of modules, each providing their own
 APIs and working together or in a standalone mode. This package contains
 independent libraries for use in the NetBeans IDE.

Package: libnb-java5-java
Architecture: all
Depends:
 ant,
 ant-optional,
 junit,
 junit-doc,
 junit4-doc,
 libbeansbinding-java,
 libcglib-java (>= 3.0),
 libeclipselink-java,
 libnb-absolutelayout-java,
 libnb-ide14-java (= ${binary:Version}),
 libnb-javaparser-java,
 libnb-platform18-java (>= 8.1),
 ${java:Depends},
 ${misc:Depends}
Description: Common Java Related Libraries for NetBeans
 The NetBeans Platform is a set of modules, each providing their own
 APIs and working together or in a standalone mode. This package contains
 common libraries for the NetBeans Java IDE.

Package: netbeans
Architecture: all
Depends:
 default-jdk (>= 2:1.8) | java8-sdk,
 libnb-apisupport3-java (= ${binary:Version}),
 libnb-ide14-java (= ${binary:Version}),
 libnb-java5-java (= ${binary:Version}),
 libnb-platform18-java (>= 8.1),
 ${java:Depends},
 ${misc:Depends}
Description: Extensible Java IDE
 Integrated Development Environment for software developers. It supports
 development of desktop, enterprise, web, and mobile applications. Package
 includes the Base IDE, Java Development Tools and Plug-in Development Tools.
 Support for PHP, Ruby, C/C++, Java EE and others can be added.

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java
export TZ=UTC

# Included clusters
pkg-nb                         := netbeans
base-apisupport                := apisupport3
base-ide                       := ide14
base-java                      := java5
base-nb                        := nb
base-platform                  := platform18

pkg-apisupport                 := libnb-$(base-apisupport)-java
pkg-ide                        := libnb-$(base-ide)-java
pkg-java                       := libnb-$(base-java)-java


NBDIR := /usr/share/netbeans
export JAVADIR := /usr/share/java

JH_JAR           := jhall.jar
JSEARCH_JAR      := jsearch.jar
NB_JH_JAR        := jhall-2.0_05.jar
NB_JSEARCH_JAR   := jsearch-2.0_05.jar

NB_INSTALL_DIR   := usr/share/netbeans


INSTALL          := dh_install -p
LINK             := dh_link -p

DEB_UPSTREAM_VERSION = $(shell dpkg-parsechangelog | \
                       grep -e '^Version' | \
                       perl -pi -e 's/^Version:\s+(.*)\+dfsg\d+-\d+.*$$/$$1/')

BUILDSTAMP := $(shell date --utc --date="`dpkg-parsechangelog -SDate`" "+%Y%m%d")
BUILD_DATE := $(shell dpkg-parsechangelog --show-field=Date)

# Defined function to be used to create symlinks
define symlink
	mkdir -p $(dir $(2))
	ln -sf $(1) $(2)
endef

%:
	dh $@ --with javahelper


override_dh_auto_build:
	# w3c-sgml-lib: needed for xml validation, otherwise FTBFS
	mkdir -p nbbuild/external/xhtml1-dtds
	ln -sf /usr/share/xml/w3c-sgml-lib/schema/dtd/REC-xhtml1-20020801/xhtml* nbbuild/external/xhtml1-dtds
	ln -sf /usr/share/xml/w3c-sgml-lib/schema/dtd/REC-xhtml-modularization-20100729/xhtml* nbbuild/external/xhtml1-dtds
	# link Debian's system jars
	$(shell awk 'NF==4 {printf("ln -sf %s %s/%s;\n",$$1,$$2,$$4)}' debian/linked-jars)
	# ReproducibleBuilds TimestampsInZip
	# https://wiki.debian.org/ReproducibleBuilds/TimestampsInZip
	find '$(CURDIR)' -newermt '$(BUILD_DATE)' -print0 | \
		xargs -0r touch --no-dereference --date='$(BUILD_DATE)'
	################################################################
	# Build the IDE. DISPLAY must be unset to avoid build failures.
	unset DISPLAY; ant \
	-Dbuildstamp=$(BUILDSTAMP) \
	-Dhg.id=debian-$(DEB_UPSTREAM_VERSION) \
	-Dpermit.jdk8.builds=true \
	-Dbuild.compiler.deprecation=false \
	-Dbuild.compiler.debug=false \
	-Dext.binaries.downloaded=true \
	-Dverify.checkout=false \
	-Dcluster.config=basic \
	-f nbbuild/build.xml build-nozip
	# Convert the *.icns hicolor icon into a png icon
	icns2png -x -s 128x128 -d 32 ide.branding/release/netbeans.icns



override_dh_auto_install:
	# recreate links
	$(shell awk 'NF==4 {printf("ln -sf %s nbbuild/netbeans/%s/%s;\n",$$1,$$3,$$4)}' debian/linked-jars)
	# Install libraries
	mh_installjar -plibnb-absolutelayout-java -l debian/pom/AbsoluteLayout.xml \
		nbbuild/netbeans/java/modules/ext/AbsoluteLayout.jar
	mh_installpom -plibnb-absolutelayout-java debian/pom/AbsoluteLayout.xml
	#
	# Install IDE package files
	echo > nbbuild/netbeans/ide/.noautoupdate
	echo > nbbuild/netbeans/ide/.lastModified
	$(INSTALL)$(pkg-ide) nbbuild/netbeans/ide/*               $(NB_INSTALL_DIR)/$(base-ide)
	$(INSTALL)$(pkg-ide) nbbuild/netbeans/ide/.noautoupdate   $(NB_INSTALL_DIR)/$(base-ide)
	$(INSTALL)$(pkg-ide) nbbuild/netbeans/ide/.lastModified   $(NB_INSTALL_DIR)/$(base-ide)
	# See netbeans-slf4j.dummy.patch for further information
	$(LINK)$(pkg-ide) usr/share/java/slf4j-api.jar $(NB_INSTALL_DIR)/$(base-ide)/modules/slf4j-dummy.jar
	# Symlink IDE modules to corresponding system jar files
	$(LINK)$(pkg-ide) usr/share/java/org.eclipse.jgit.jar $(NB_INSTALL_DIR)/$(base-ide)/modules/org-eclipse-jgit.jar
	$(LINK)$(pkg-ide) usr/share/java/org.eclipse.jgit.java7.jar $(NB_INSTALL_DIR)/$(base-ide)/modules/org-eclipse-jgit-java7.jar
	$(LINK)$(pkg-ide) usr/share/java/sqljet.jar $(NB_INSTALL_DIR)/$(base-ide)/modules/ext/sqljet.jar
	$(LINK)$(pkg-ide) usr/share/java/svnClientAdapter.jar $(NB_INSTALL_DIR)/$(base-ide)/modules/ext/svnClientAdapter-main.jar
	$(LINK)$(pkg-ide) usr/share/java/svn-javahl.jar $(NB_INSTALL_DIR)/$(base-ide)/modules/ext/svnjavahl.jar
	$(LINK)$(pkg-ide) usr/share/java/svnkit-javahl16.jar $(NB_INSTALL_DIR)/$(base-ide)/modules/ext/svnkit-javahl16.jar
	$(LINK)$(pkg-ide) usr/share/java/trilead-ssh2.jar $(NB_INSTALL_DIR)/$(base-ide)/modules/ext/trilead.ssh2.jar
	$(LINK)$(pkg-ide) usr/share/java/jsch.agentproxy.usocket-jna.jar $(NB_INSTALL_DIR)/$(base-ide)/modules/ext/jsch-agentproxy-usocket-jna.jar
	$(LINK)$(pkg-ide) usr/share/java/htmlparser.jar $(NB_INSTALL_DIR)/$(base-ide)/modules/ext/html5-parser.jar
	$(LINK)$(pkg-ide) usr/share/java/jsch.agentproxy.sshagent.jar $(NB_INSTALL_DIR)/$(base-ide)/modules/ext/jsch-agentproxy-sshagent.jar
	$(LINK)$(pkg-ide) usr/share/java/jsch.agentproxy.pageant.jar $(NB_INSTALL_DIR)/$(base-ide)/modules/ext/jsch-agentproxy-pageant.jar
	$(LINK)$(pkg-ide) usr/share/java/jsch.agentproxy.core.jar $(NB_INSTALL_DIR)/$(base-ide)/modules/ext/jsch-agentproxy-core.jar
	# Make hostinfo.sh executable to silence Lintian warning about script-not-exectuable
	find . -type f -name "hostinfo.sh" -exec chmod a+x {} \;

	# Install Java package files
	echo > nbbuild/netbeans/java/.noautoupdate
	echo > nbbuild/netbeans/java/.lastModified
	$(INSTALL)$(pkg-java) nbbuild/netbeans/extide/*           $(NB_INSTALL_DIR)/$(base-java)
	$(INSTALL)$(pkg-java) nbbuild/netbeans/java/*             $(NB_INSTALL_DIR)/$(base-java)
	$(INSTALL)$(pkg-java) nbbuild/netbeans/java/.noautoupdate $(NB_INSTALL_DIR)/$(base-java)
	$(INSTALL)$(pkg-java) nbbuild/netbeans/java/.lastModified $(NB_INSTALL_DIR)/$(base-java)
	# Link in Ant libraries and binaries
	-rmdir debian/$(pkg-java)/$(NB_INSTALL_DIR)/$(base-java)/ant/lib
	$(LINK)$(pkg-java)    usr/share/ant/bin     $(NB_INSTALL_DIR)/$(base-java)/ant/bin
	$(LINK)$(pkg-java)    usr/share/ant/etc     $(NB_INSTALL_DIR)/$(base-java)/ant/etc
	$(LINK)$(pkg-java)    usr/share/ant/lib     $(NB_INSTALL_DIR)/$(base-java)/ant/lib
	# Link in AbsoluteLayout jar
	-rm debian/$(pkg-java)/$(NB_INSTALL_DIR)/$(base-java)/modules/ext/AbsoluteLayout.jar
	$(LINK)$(pkg-java)    usr/share/java/AbsoluteLayout.jar  $(NB_INSTALL_DIR)/$(base-java)/modules/ext/AbsoluteLayout.jar

	# Install API support package files
	echo > nbbuild/netbeans/apisupport/.noautoupdate
	echo > nbbuild/netbeans/apisupport/.lastModified
	$(INSTALL)$(pkg-apisupport) nbbuild/netbeans/apisupport/*              $(NB_INSTALL_DIR)/$(base-apisupport)
	$(INSTALL)$(pkg-apisupport) nbbuild/netbeans/apisupport/.noautoupdate  $(NB_INSTALL_DIR)/$(base-apisupport)
	$(INSTALL)$(pkg-apisupport) nbbuild/netbeans/apisupport/.lastModified  $(NB_INSTALL_DIR)/$(base-apisupport)
	# Install Netbeans package files
	echo > nbbuild/netbeans/nb/.noautoupdate
	$(INSTALL)$(pkg-nb) nbbuild/netbeans/nb/*               $(NB_INSTALL_DIR)/$(DEB_UPSTREAM_VERSION)/nb
	$(INSTALL)$(pkg-nb) nbbuild/netbeans/nb/.lastModified   $(NB_INSTALL_DIR)/$(DEB_UPSTREAM_VERSION)/nb
	$(INSTALL)$(pkg-nb) nbbuild/netbeans/nb/.noautoupdate   $(NB_INSTALL_DIR)/$(DEB_UPSTREAM_VERSION)/nb
	$(INSTALL)$(pkg-nb) nbbuild/netbeans/bin/*              $(NB_INSTALL_DIR)/$(DEB_UPSTREAM_VERSION)/bin
	$(INSTALL)$(pkg-nb) nbbuild/netbeans/CREDITS.html                 usr/share/$(pkg-nb)
	$(INSTALL)$(pkg-nb) nbbuild/netbeans/README.html                  usr/share/$(pkg-nb)
	$(INSTALL)$(pkg-nb) nbbuild/netbeans/netbeans.css                 usr/share/$(pkg-nb)
	# Install 128x128 netbeans icon to hicolor directory
	mv netbeans_128x128x32.png netbeans.png
	$(INSTALL)$(pkg-nb) netbeans.png usr/share/icons/hicolor/128x128/apps
	$(LINK)$(pkg-nb)    $(NB_INSTALL_DIR)/$(base-platform) $(NB_INSTALL_DIR)/$(DEB_UPSTREAM_VERSION)/platform
	$(LINK)$(pkg-nb)    $(NB_INSTALL_DIR)/harness          $(NB_INSTALL_DIR)/$(DEB_UPSTREAM_VERSION)/harness
	$(LINK)$(pkg-nb)    $(NB_INSTALL_DIR)/$(base-apisupport) $(NB_INSTALL_DIR)/$(DEB_UPSTREAM_VERSION)/apisupport
	$(LINK)$(pkg-nb)    $(NB_INSTALL_DIR)/$(base-ide)        $(NB_INSTALL_DIR)/$(DEB_UPSTREAM_VERSION)/ide

=== debian/watch ===
# The sources can be downloaded from https://netbeans.org/downloads/zip.html
# but this site requires Javascript. The old site returns an 500 error message.
#version=3
#opts=dversionmangle=s/\+dfsg\d*$//,downloadurlmangle=s/$/final\/zip/ \
#http://dlc.sun.com.edgesuite.net/netbeans/ ([0-9.]*)/ debian debian/orig-tar.sh

## netbeans 8.2+dfsg1

=== debian/changelog ===
netbeans (8.2+dfsg1-1) experimental; urgency=medium

  [ Emmanuel Bourg ]
  * Switch back to libcglib-java.

  [ Markus Koschany ]
  * New upstream version 8.2+dfsg-1.
  * Refresh all patches for new release.
  * Work around a lot of build failures due to missing JDK 9 classes by
    copying modules from 8.1. See debian/patches for more information.
  * Switch to compat level 10.
  * Update linked-jars accordingly.
  * Use permit JDK 8 builds option consistently in debian/rules.
  * Tighten dependencies on platform modules to 8.2.

 -- Markus Koschany <apo@debian.org>  Mon, 26 Dec 2016 16:33:40 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  ant,
  ant-optional,
  antlr3 (>= 3.5.2),
+ antlr4,
  debhelper (>= 10),
  default-jdk,
  icnsutils,
@@ -17,11 +18,13 @@
  javahelper,
  junit,
  junit4,
+ libasm-java (>= 5),
  libbeansbinding-java,
  libbindex-java,
  libbytelist-java,
  libcglib-java (>= 3.0),
  libcommons-codec-java,
+ libcommons-compress-java,
  libcommons-io-java,
  libcommons-lang-java,
  libcommons-logging-java,
@@ -31,6 +34,7 @@
  libfelix-framework-java,
  libfelix-main-java,
  libfreemarker-java,
+ libguava-java,
  libhamcrest-java,
  libhtml5parser-java,
  libhttpclient-java,
@@ -73,7 +77,7 @@
  maven-repo-helper,
  testng,
  w3c-sgml-lib
-Standards-Version: 4.0.0
+Standards-Version: 3.9.8
 Homepage: http://netbeans.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/netbeans.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/netbeans.git
@@ -94,8 +98,8 @@
 Depends:
  libnb-ide14-java (= ${binary:Version}),
  libnb-java5-java (= ${binary:Version}),
- libnb-platform-devel-java (>= 8.1),
- libnb-platform18-java (>= 8.1),
+ libnb-platform-devel-java (>= 8.2),
+ libnb-platform18-java (>= 8.2),
  ${java:Depends},
  ${misc:Depends}
 Description: Common NetBeans Platform Development Related Libraries for NetBeans
@@ -107,7 +111,6 @@
 Architecture: all
 Depends:
  antlr3 (>= 3.5.2),
- libasm-java (>= 5),
  libbytelist-java,
  libcommons-codec-java,
  libcommons-io-java,
@@ -119,16 +122,14 @@
  libhttpclient-java,
  libicu4j-4.4-java,
  libini4j-java,
- libjaxb-java,
  libjgit-java,
  libjsch-agent-proxy-java (>= 0.0.8),
  libjsch-java,
- libjson-simple-java,
  libjvyamlb-java,
  libjzlib-java,
  liblucene3-java,
  libmysql-java,
- libnb-platform18-java (>= 8.1),
+ libnb-platform18-java (>= 8.2),
  libpostgresql-jdbc-java,
  libservlet3.1-java,
  libsimple-validation-java,
@@ -159,10 +160,11 @@
  libbeansbinding-java,
  libcglib-java (>= 3.0),
  libeclipselink-java,
+ libjson-simple-java,
  libnb-absolutelayout-java,
  libnb-ide14-java (= ${binary:Version}),
  libnb-javaparser-java,
- libnb-platform18-java (>= 8.1),
+ libnb-platform18-java (>= 8.2),
  ${java:Depends},
  ${misc:Depends}
 Description: Common Java Related Libraries for NetBeans
@@ -177,7 +179,7 @@
  libnb-apisupport3-java (= ${binary:Version}),
  libnb-ide14-java (= ${binary:Version}),
  libnb-java5-java (= ${binary:Version}),
- libnb-platform18-java (>= 8.1),
+ libnb-platform18-java (>= 8.2),
  ${java:Depends},
  ${misc:Depends}
 Description: Extensible Java IDE
